unit settings;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Baud_rate_gr: TRadioGroup;
    Parity_gr: TRadioGroup;
    Flow_control_gr: TRadioGroup;
    Transmission_Mode_gr: TRadioGroup;
    Byte_size_gr: TRadioGroup;
    Stop_bits_gr: TRadioGroup;
    Button1: TButton;
    Time_Out_gr: TGroupBox;
    Silent_interval_gr: TGroupBox;
    Time_Out: TEdit;
    Silent_interval: TEdit;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Main;

{$R *.DFM}



procedure TForm2.Button1Click(Sender: TObject);
begin
// update parameters and close this window
     case Baud_rate_gr.ItemIndex of
          0:Baudrate:=300;
          1:Baudrate:=1200;
          2:Baudrate:=9600;
     end;
     TransmissionMode:=Transmission_Mode_gr.itemindex;
     ByteSize:=7+Byte_size_gr.ItemIndex;
     StopBits:=Stop_bits_gr.ItemIndex;
     timeout:=strtointdef(time_out.Text,1000);
     SilentInterval:=strtointdef(silent_interval.Text,20);
     FlowControl:=Flow_control_gr.ItemIndex;
     close;
end;





procedure TForm2.FormShow(Sender: TObject);
begin
// Get values of parameters from main forms variables
     case baudrate of
          300:Baud_rate_gr.ItemIndex:=0;
          1200:Baud_rate_gr.ItemIndex:=1;
          9600:Baud_rate_gr.ItemIndex:=2;
     end;
     Transmission_Mode_gr.itemindex:=TransmissionMode;
     Byte_size_gr.ItemIndex:=ByteSize-7;
     Stop_bits_gr.ItemIndex:=StopBits;
     time_out.Text:=inttostr(timeout);
     silent_interval.Text:=inttostr(SilentInterval);
     Flow_control_gr.ItemIndex:=FlowControl;

end;

procedure TForm2.Button2Click(Sender: TObject);
begin
//   cancel button
     close;
end;

end.
